Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Summary: 		GNOME Screensaver
Name: 			gnome-screensaver
Version: 		2.22.2
Release: 		1 
License: 		GPL
Group: 			Graphical Desktop/GNOME/Base
Source0: 		%{name}-%{version}.tar.bz2
Source1: 		gnome-screensaver-hide-xscreensaver.menu
Patch1: 		gnome-screensaver-2.20.0-default-theme.patch
Patch2: 		gnome-screensaver-2.18.0-securitytoken.patch
# add support for gnome-keyring to the pam stack
Patch4: 		gnome-keyring.patch
Patch6: 		gnome-screensaver-2.20.0-restore-gamma.patch
BuildRoot: 		%{_tmppath}/%{name}-root
URL: 			http://www.gnome.org
BuildRequires: 		gtk2+-devel
BuildRequires: 		gnome-vfs-devel
BuildRequires: 		libgnomeui-devel
BuildRequires: 		dbus-devel
BuildRequires: 		dbus-glib-devel
BuildRequires: 		libglade-devel
BuildRequires: 		libxml2-devel
BuildRequires: 		GConf-devel
BuildRequires: 		gnome-menus-devel
BuildRequires: 		libexif-devel
BuildRequires: 		pam-devel
BuildRequires: 		libX11-devel, libXScrnSaver-devel, libXext-devel
BuildRequires: 		libXinerama-devel libXmu-devel
# this is here because the configure tests look for protocol headers
BuildRequires: 		xorg-x11-proto-devel
BuildRequires: 		gettext
BuildRequires: 		perl-XML-Parser
BuildRequires: 		nss-devel
BuildRequires: 		automake, autoconf, libtool, intltool
Requires:		gtk2+
Requires: 		gnome-vfs
Requires: 		libgnomeui
Requires: 		dbus-glib
Requires: 		libglade
Requires: 		libxml2
Requires: 		GConf
#Requires: /usr/share/gnome-screensaver/lock-dialog-system.glade

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

%prep
%setup -q 
%patch1 -p1 -b .use-floaters-by-default
%patch2 -p1 -b .securitytoken
%patch4 -p1 -b .gnome-keyring
%patch6 -p1 -b .restore-gamma

%build
autoreconf -f -i
%configure --sysconfdir=%_sysconfdir/gnome --libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/gnome-screensaver --with-pam-prefix=/etc --with-xscreensaverdir=/usr/share/xscreensaver/config \
	   --with-mit-screensaver=no
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

# hide xscreensaver from the menus

install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gnome/xdg/menus/preferences-post-merged/gnome-screensaver-hide-xscreensaver.menu

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-screensaver.schemas >/dev/null

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-screensaver.schemas >/dev/null
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/gnome-screensaver/*
%{_libdir}/pkgconfig/*
%{_datadir}/applications/gnome-screensaver-preferences.desktop
%{_datadir}/applications/screensavers/
%{_datadir}/gnome-screensaver/*
%{_datadir}/pixmaps/backgrounds/*
%{_datadir}/pixmaps/gnome-logo-white.svg
%{_datadir}/desktop-directories/gnome-screensaver.directory
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_sysconfdir}/gnome/xdg/menus/preferences-post-merged/*
%{_sysconfdir}/gnome/xdg/menus/gnome-screensavers.menu
%{_sysconfdir}/pam.d/*
%_mandir/man1/*
%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.2-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Initial release